À compter du 9 janvier 2019, cPanel prendra en charge la version allégée (light) du package ea-apache24-mod_lsapi.

Ce package offre la possibilité d'utiliser lsapi sur d'autres systèmes d'exploitation que CloudLinux. Cependant, il ne doit pas être utilisé sur les systèmes CloudLinux car il n'inclut pas les performances complètes et ne présente pas d'avantages en termes de performances.

Différence entre ea-apache24-mod_lsapi (gratuit avec CloudLinux OS) et ea-apache24-mod_lsapi, désormais prise en charge par cPanel:

  • Augmentation de la performance jusqu'à 10%
    • Le regroupement de connexions mod_lsapi offre jusqu'à 10% d'optimisation des performances par rapport à mod_lsapi fourni par défaut avec cPanel. En réutilisant les connexions entre le serveur Web Apache et LSAPI, nous sommes en mesure de réduire considérablement les délais associés à l’établissement d’une connexion.
  • Démarrage plus rapide après le redémarrage d'Apache
    • avec mod_lsapi, redémarrer Apache n'implique pas de vider le cache d'opcode. Vos caches restent « hot » entre les redémarrages d’Apache.
  • Délai rapide jusqu'au premier octet (« time to first byte » ou « TTFB ») avec faible empreinte mémoire dans un environnement multi-utilisateur
    • mod_lsapi utilise un processus de vérification de processus (CRIU) pour enregistrer l'état des processus PHP. Cela nous permet de commencer les processus PHP pour tout utilisateur totalement initialisé avec des caches opcode. Cela signifie que nous n’avons pas besoin de conserver les processus en cours d’exécution pour livrer très rapidement le temps au premier octet (TTFB), fournir une empreinte mémoire très faible et une TTFB faible.

Les paquetages publiés par cPanel avaient une version beaucoup plus élevée que ceux disponibles dans le référentiel CloudLinux cl-ea4, ce qui signifiait que la mise à jour quotidienne de upcp apporterait ces packages de versions différentes aux systèmes CloudLinux si le repository EA4 était activé. Cela poserait des problèmes à tous les utilisateurs de CloudLinux. Pour plus d'informations sur les différences, veuillez consulter leur site officiel.

Par conséquent, le package a été supprimé du repository EA4 et ne posera plus de problème.

Si votre système a été mis à jour avant la résolution du problème, exécutez les commandes suivantes:

yum clean all --enablerepo=*

yum remove ea-apache24-mod_lsapi ea-liblsapi

yum reinstall liblsapi

yum install ea-apache24-mod_lsapi


Il est également recommandé de désactiver le repository EA4 (vous obtiendrez les mises à jour nécessaires à partir des repositories CloudLinux):

yum downgrade ea-apache24-mod_lsapi --disablerepo=* --enablerepo=cl-ea4

yum-config-manager --disable ea4


Si vous avez encore des questions ou des préoccupations, n'hésitez pas à nous contacter en ouvrant une demande ou notre fonction de clavardage.



 lundi, janvier 14, 2019



« Retour